{ pkgs, inputs, ... }:
{
  imports = [
    "${inputs.self}/modules/mizukios/base"
    "${inputs.self}/modules/mizukios/features/ssh.nix"
  ];

  wsl.enable = true;
  wsl.defaultUser = "imnyang";

  networking = {
    hostName = "ribbon";
    firewall.enable = false;
  };

  users.users.imnyang.openssh.authorizedKeys.keys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOHP3Z+AYrRh9f8TYyqChKfeyNm3lOe0F75AwRHTTaxD imnyang@mizuki"
  ];

  system.stateVersion = "25.11";
}
